@echo off
if  %1 == c goto start
if  %1 == C goto start
if  %1 == d goto start
if  %1 == D goto start
if  %1 == e goto start
if  %1 == E goto start
if  %1 == f goto start
if  %1 == F goto start
if  %1 == g goto start
if  %1 == G goto start
if  %1 == h goto start
if  %1 == H goto start

goto warning

:start
echo Removing Impact From Drive %1
echo Press Control-C to abort
pause
%1:
cd\impact

if not exist \impact\nyl.exe goto next0
echo y | erase \impact\*.* >nul


:next0
if not exist \impact\close\close.exe goto next1
echo y | del \impact\close\*.* >nul
rd \impact\close

:next1
if not exist \impact\needs\needs.exe goto next2
echo y |del \impact\needs >nul
rd \impact\needs

:next2
if not exist \impact\saleslor\slb.exe goto next3
echo y | del \impact\saleslor\*.* >nul
rd \impact\saleslor

:next3
if not exist \impact\estate\est.exe goto next4
echo y | del \impact\estate\*.* >nul
rd \impact\estate

:next4
if not exist \impact\cyk\cyk.exe goto next5
echo y | del \impact\cyk\*.* >nul
rd \impact\cyk

:next5
if not exist \impact\ann\ann.exe goto next6
echo y | del \impact\ann\*.* >nul
rd \impact\ann

:next6
if not exist \impact\di\disprint.exe goto next7
echo y | del \impact\di\*.* >nul
rd \impact\di

:next7
if not exist \impact\gep\gep.exe goto next8
echo y | del \impact\gep\*.* >nul
rd \impact\gep


:next8
if not exist \impact\bankab\bank.exe goto next9
echo y | del \impact\bankab\*.* >nul
rd \impact\bankab

:next9
if not exist \impact\nylnpv\npv.exe goto next10
echo y | del \impact\nylnpv\*.* >nul
rd \impact\nylnpv


:next10
if not exist \impact\nyla\plus.exe goto next11
echo y | del \impact\nyla\*.* >nul
rd \impact\nyla


:next11
if not exist \impact\inforce\inforce.exe goto almostdone
echo y | del \impact\inforce\*.* >nul
rd \impact\inforce




:almostdone
cd\
rd impact

:done
echo CLEANUP FINISHED!
goto end

:warning
echo WARNING:  To start program you must press space and the drive to cleanup
echo                 (i.e. IMPCLEAN C)


:end


